CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
PasswordFormField Class Reference

Abstraction for password forms. More...

Inheritance diagram for PasswordFormField:
[legend]
Collaboration diagram for PasswordFormField:
[legend]

## Additional Inherited Members
Public Member Functions inherited from TextFormField
| __construct ($Name, $IsRequired, $Label, $Length, $MaxLength, $ValidFunc=NULL, $ValidMsgs=NULL)
| Object Constructor. More...
| Length ($NewVal=NULL)
| Get or set the display length for this field. More...
| MaxLength ($NewVal=NULL)
| Get or set the maximum input length for this field. More...
| PrintInput ($DisplayErrorIndicator=FALSE)
| Generate HTML for this object. More...
Public Member Functions inherited from FormField
| __construct ($Name, $IsRequired, $Label, $ValidFunc, $ValidMsgs)
| Object Constructor. More...
| Name ($NewVal=NULL)
| Get or set the name. More...
| IsRequired ($NewVal=NULL)
| Get/set IsRequired. More...
| Label ($NewVal=NULL)
| Get or set the form field label as shown to the user. More...
| Value ($NewVal=NULL)
| Get or set the form field value. More...
| IsPassword ()
| Determine if this form field is a password form field. More...
| PrintField ($DisplayErrorIndicator=FALSE)
| Print the form field label and generate input tags for this form field. More...
| PrintLabel ($DisplayErrorIndicator=FALSE)
| Print the label for this form field without generating the input tags. More...
| IsInvalidValue ($Value)
| Check the validity of the form field's value. More...
| GetInvalidValueMessage ($ErrorCode)
| Map an error code from IsInvalidValue to an error message. More...
Protected Attributes inherited from FormField
| $MyName
| $MyIsRequired
| $MyLabel
| $MyValue
| $MyValidFunc
| $MyValidMsgs

## Detailed Description

Abstraction for password forms.

Definition at line 14 of file PasswordFormField.php.

The documentation for this class was generated from the following file:

- objects/PasswordFormField.php